Package org.eclipse.jdt.ui.text.java.correction

# Interface ICommandAccess

All Known Implementing Classes:
  `ASTRewriteCorrectionProposal`, `ChangeCorrectionProposal`, `CUCorrectionProposal`

public interface ICommandAccess
Correction proposals can implement this interface to be invokable by a command (which can be bound to a keyboard shortcut).

Since:
  3.8

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ASSIST_SUFFIX`
Commands for quick assists must have this suffix.
`static final String`
`COMMAND_ID_PREFIX`
Correction commands starting with this prefix will be handled by the Java editor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCommandId()`
Returns the id of the command that should invoke this correction proposal.

## Field Details

### COMMAND_ID_PREFIX

static final String COMMAND_ID_PREFIX
Correction commands starting with this prefix will be handled by the Java editor.

See Also:
  - Constant Field Values

### ASSIST_SUFFIX

static final String ASSIST_SUFFIX
Commands for quick assists must have this suffix.

See Also:
  - Constant Field Values

## Method Details

### getCommandId

String getCommandId()
Returns the id of the command that should invoke this correction proposal.

Returns:
  the id of the command or `null` if this proposal does not have a command. This id must start with `COMMAND_ID_PREFIX` to be recognized as a correction command. In addition, the id must end with `ASSIST_SUFFIX` to be recognized as a quick assist command.